Subject: Re: [RFC] git am: apply patches directly via message id

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2026 08:35:29 -0700

Shreyansh Paliwal <[email-masked]> writes:

>> Sounds a lot like "b4 am -o-" piped to "git am" to me.
>
> I see. Though I think b4 is an external library, and I am reckoning that
> this functionality is used commonly so would it make sense to add this
> natively in git am ? or it is fine using b4 for this.

But lore (and the way it takes the message-ID and returns not just a
single message but a mbox with all patches in a complete series) is
very specific external dependency.  It does not belong to "git am",
whose only purpose is to accept a mailbox with bunch of patches (and
we do not care how you downloaded the mailbox) and create commits
out of them.  Interacting with lore and downloading patches from it
is what "b4" does and it does it well.

So, no, it is not _fine_ using b4 for this.  It is crazy not to use
it for this.